diff --git a/web/pgadmin/misc/sql/static/js/sql.js b/web/pgadmin/misc/sql/static/js/sql.js
index 9ffa7b19..27c7ae55 100644
--- a/web/pgadmin/misc/sql/static/js/sql.js
+++ b/web/pgadmin/misc/sql/static/js/sql.js
@@ -105,30 +105,30 @@ define('misc.sql', [
                     );
                   }, 1000);
                 },
-                success: function(res) {
-                  if (pgAdmin.Browser.editor.getValue() != res) {
-                    pgAdmin.Browser.editor.setValue(res);
-                  }
-                  clearTimeout(timer);
-                },
-                error: function(xhr, error, message) {
-                  var _label = treeHierarchy[n_type].label;
-                  pgBrowser.Events.trigger(
-                    'pgadmin:node:retrieval:error', 'sql', xhr, error, message, item
+              })
+              .done(function(res) {
+                if (pgAdmin.Browser.editor.getValue() != res) {
+                  pgAdmin.Browser.editor.setValue(res);
+                }
+                clearTimeout(timer);
+              })
+              .fail(function(xhr, error, message) {
+                var _label = treeHierarchy[n_type].label;
+                pgBrowser.Events.trigger(
+                  'pgadmin:node:retrieval:error', 'sql', xhr, error, message, item
+                );
+                if (!Alertify.pgHandleItemError(xhr, error, message, {
+                  item: item,
+                  info: treeHierarchy,
+                })) {
+                  Alertify.pgNotifier(
+                    error, xhr,
+                    S(gettext('Error retrieving the information - %s')).sprintf(
+                      message || _label
+                    ).value(),
+                    function() {}
                   );
-                  if (!Alertify.pgHandleItemError(xhr, error, message, {
-                    item: item,
-                    info: treeHierarchy,
-                  })) {
-                    Alertify.pgNotifier(
-                      error, xhr,
-                      S(gettext('Error retrieving the information - %s')).sprintf(
-                        message || _label
-                      ).value(),
-                      function() {}
-                    );
-                  }
-                },
+                }
               });
             }
           }
diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index 3ff88a0a..8a74bf18 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -229,65 +229,65 @@ define('misc.statistics', [
                 }
               }, 1000);
             },
-            success: function(res) {
-              // clear timer and reset message.
-              clearTimeout(timer);
-              $msgContainer.text('');
-              if (res.data) {
-                var data = res.data;
-                if (node.hasCollectiveStatistics || data['rows'].length > 1) {
-                  self.__createMultiLineStatistics.call(self, data, node.statsPrettifyFields);
-                } else {
-                  self.__createSingleLineStatistics.call(self, data, node.statsPrettifyFields);
-                }
+          })
+          .done(function(res) {
+            // clear timer and reset message.
+            clearTimeout(timer);
+            $msgContainer.text('');
+            if (res.data) {
+              var data = res.data;
+              if (node.hasCollectiveStatistics || data['rows'].length > 1) {
+                self.__createMultiLineStatistics.call(self, data, node.statsPrettifyFields);
+              } else {
+                self.__createSingleLineStatistics.call(self, data, node.statsPrettifyFields);
+              }
 
-                if (self.grid) {
-                  delete self.grid;
-                  self.grid = null;
-                }
+              if (self.grid) {
+                delete self.grid;
+                self.grid = null;
+              }
 
-                self.grid = new Backgrid.Grid({
-                  columns: self.columns,
-                  collection: self.collection,
-                  className: GRID_CLASSES,
-                });
-                self.grid.render();
-                $gridContainer.empty();
-                $gridContainer.append(self.grid.$el);
-
-                if (!$msgContainer.hasClass('hidden')) {
-                  $msgContainer.addClass('hidden');
-                }
-                $gridContainer.removeClass('hidden');
+              self.grid = new Backgrid.Grid({
+                columns: self.columns,
+                collection: self.collection,
+                className: GRID_CLASSES,
+              });
+              self.grid.render();
+              $gridContainer.empty();
+              $gridContainer.append(self.grid.$el);
+
+              if (!$msgContainer.hasClass('hidden')) {
+                $msgContainer.addClass('hidden');
+              }
+              $gridContainer.removeClass('hidden');
 
-              } else if (res.info) {
-                if (!$gridContainer.hasClass('hidden')) {
-                  $gridContainer.addClass('hidden');
-                }
-                $msgContainer.text(res.info);
-                $msgContainer.removeClass('hidden');
+            } else if (res.info) {
+              if (!$gridContainer.hasClass('hidden')) {
+                $gridContainer.addClass('hidden');
               }
-            },
-            error: function(xhr, error, message) {
-              var _label = treeHierarchy[n_type].label;
-              pgBrowser.Events.trigger(
-                'pgadmin:node:retrieval:error', 'statistics', xhr, error, message, item
+              $msgContainer.text(res.info);
+              $msgContainer.removeClass('hidden');
+            }
+          })
+          .fail(function(xhr, error, message) {
+            var _label = treeHierarchy[n_type].label;
+            pgBrowser.Events.trigger(
+              'pgadmin:node:retrieval:error', 'statistics', xhr, error, message, item
+            );
+            if (!Alertify.pgHandleItemError(xhr, error, message, {
+              item: item,
+              info: treeHierarchy,
+            })) {
+              Alertify.pgNotifier(
+                error, xhr,
+                S(gettext('Error retrieving the information - %s')).sprintf(
+                  message || _label
+                ).value(),
+                function() {}
               );
-              if (!Alertify.pgHandleItemError(xhr, error, message, {
-                item: item,
-                info: treeHierarchy,
-              })) {
-                Alertify.pgNotifier(
-                  error, xhr,
-                  S(gettext('Error retrieving the information - %s')).sprintf(
-                    message || _label
-                  ).value(),
-                  function() {}
-                );
-              }
-              // show failed message.
-              $msgContainer.text(gettext('Failed to retrieve data from the server.'));
-            },
+            }
+            // show failed message.
+            $msgContainer.text(gettext('Failed to retrieve data from the server.'));
           });
         }
       }
diff --git a/web/pgadmin/settings/static/js/settings.js b/web/pgadmin/settings/static/js/settings.js
index 634368cf..bcb9df77 100644
--- a/web/pgadmin/settings/static/js/settings.js
+++ b/web/pgadmin/settings/static/js/settings.js
@@ -33,18 +33,18 @@ define('pgadmin.settings', [
             url: url_for('settings.reset_layout'),
             type: 'DELETE',
             async: false,
-            success: function() {
-              // Prevent saving layout on server for next page reload.
-              $(window).unbind('unload');
-              window.onbeforeunload = null;
-              // Now reload page
-              location.reload(true);
-            },
-            error: function() {
-              console.warn(
-                'Something went wrong on server while resetting layout.'
-              );
-            },
+          })
+          .done(function() {
+            // Prevent saving layout on server for next page reload.
+            $(window).unbind('unload');
+            window.onbeforeunload = null;
+            // Now reload page
+            location.reload(true);
+          })
+          .fail(function() {
+            console.warn(
+              'Something went wrong on server while resetting layout.'
+            );
           });
 
         },
diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index 7c499802..91350baa 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -337,25 +337,25 @@ define([
           null, 'connect', args.info.server, true, args.info
         ),
         dataType: 'json',
-        success: function(res) {
-          if (res.success && 'connected' in res.data) {
-            if (res.data.connected) {
-              // Server is connected, but - the connection with the
-              // particular database has been lost.
-              pgBrowser.Events.trigger(
-                'pgadmin:database:connection:lost', args.item, jsonResp
-              );
-              return;
-            }
+      })
+      .done(function(res) {
+        if (res.success && 'connected' in res.data) {
+          if (res.data.connected) {
+            // Server is connected, but - the connection with the
+            // particular database has been lost.
+            pgBrowser.Events.trigger(
+              'pgadmin:database:connection:lost', args.item, jsonResp
+            );
+            return;
           }
+        }
 
-          // Serever was not connected, we should first try to connect
-          // the server.
-          reconnectServer();
-        },
-        error: function() {
-          reconnectServer();
-        },
+        // Serever was not connected, we should first try to connect
+        // the server.
+        reconnectServer();
+      })
+      .fail(function() {
+        reconnectServer();
       });
       return true;
     }
diff --git a/web/pgadmin/static/js/sqleditor_utils.js b/web/pgadmin/static/js/sqleditor_utils.js
index 0fff1d95..c131e22c 100644
--- a/web/pgadmin/static/js/sqleditor_utils.js
+++ b/web/pgadmin/static/js/sqleditor_utils.js
@@ -79,102 +79,102 @@ define(['jquery', 'sources/gettext', 'sources/url_for'],
         $.ajax({
           url: url,
           method: 'GET',
-          success: function (res) {
-            if(res && res.data) {
-              var status = res.data.status,
-                msg = res.data.message,
-                is_status_changed = false;
+        })
+        .done(function (res) {
+          if(res && res.data) {
+            var status = res.data.status,
+              msg = res.data.message,
+              is_status_changed = false;
 
-              // Raise notify messages comes from database server.
-              sqleditor_obj.update_notifications(res.data.notifies);
+            // Raise notify messages comes from database server.
+            sqleditor_obj.update_notifications(res.data.notifies);
 
-              // Inject CSS as required
-              switch(status) {
-                  // Busy
-              case 1:
-                      // if received busy status more than once then only
-                if(status == sqlEditorUtils.previousStatus &&
-                          !$status_el.hasClass('fa-hourglass-half')) {
-                  $status_el.removeClass()
-                                  .addClass('fa fa-hourglass-half');
-                  is_status_changed = true;
-                }
-                break;
-                  // Idle in transaction
-              case 2:
-                if(sqlEditorUtils.previousStatus != status &&
-                          !$status_el.hasClass('fa-clock-o')) {
-                  $status_el.removeClass()
-                                  .addClass('fa fa-clock-o');
-                  is_status_changed = true;
-                }
-                break;
-                  // Failed in transaction
-              case 3:
-                if(sqlEditorUtils.previousStatus != status &&
-                          !$status_el.hasClass('fa-exclamation-circle')) {
-                  $status_el.removeClass()
-                                  .addClass('fa fa-exclamation-circle');
-                  is_status_changed = true;
-                }
-                break;
-                  // Failed in transaction with unknown server side error
-              case 4:
-                if(sqlEditorUtils.previousStatus != status &&
-                          !$status_el.hasClass('fa-exclamation-triangle')) {
-                  $status_el.removeClass()
-                                  .addClass('fa fa-exclamation-triangle');
-                  is_status_changed = true;
-                }
-                break;
-              default:
-                if(sqlEditorUtils.previousStatus != status &&
-                          !$status_el.hasClass('fa-query_tool_connected')) {
-                  $status_el.removeClass()
-                                  .addClass('fa-custom fa-query-tool-connected');
-                  is_status_changed = true;
-                }
+            // Inject CSS as required
+            switch(status) {
+                // Busy
+            case 1:
+                    // if received busy status more than once then only
+              if(status == sqlEditorUtils.previousStatus &&
+                        !$status_el.hasClass('fa-hourglass-half')) {
+                $status_el.removeClass()
+                                .addClass('fa fa-hourglass-half');
+                is_status_changed = true;
               }
-
-              sqlEditorUtils.previousStatus = status;
-              // Set bootstrap popover message
-              if(is_status_changed) {
-                $el.popover('hide');
-                $el.attr('data-content', msg);
+              break;
+                // Idle in transaction
+            case 2:
+              if(sqlEditorUtils.previousStatus != status &&
+                        !$status_el.hasClass('fa-clock-o')) {
+                $status_el.removeClass()
+                                .addClass('fa fa-clock-o');
+                is_status_changed = true;
               }
-            } else {
-              // We come here means we did not receive expected response
-              // from server, we need to error out
-              sqlEditorUtils.previousStatus = -99;
-              msg = gettext('An unexpected error occurred - ' +
-                            'ensure you are logged into the application.');
-              $el.attr('data-content', msg);
-              if(!$status_el.hasClass('fa-query-tool-disconnected')) {
-                $el.popover('hide');
+              break;
+                // Failed in transaction
+            case 3:
+              if(sqlEditorUtils.previousStatus != status &&
+                        !$status_el.hasClass('fa-exclamation-circle')) {
                 $status_el.removeClass()
-                          .addClass('fa-custom fa-query-tool-disconnected');
+                                .addClass('fa fa-exclamation-circle');
+                is_status_changed = true;
+              }
+              break;
+                // Failed in transaction with unknown server side error
+            case 4:
+              if(sqlEditorUtils.previousStatus != status &&
+                        !$status_el.hasClass('fa-exclamation-triangle')) {
+                $status_el.removeClass()
+                                .addClass('fa fa-exclamation-triangle');
+                is_status_changed = true;
+              }
+              break;
+            default:
+              if(sqlEditorUtils.previousStatus != status &&
+                        !$status_el.hasClass('fa-query_tool_connected')) {
+                $status_el.removeClass()
+                                .addClass('fa-custom fa-query-tool-connected');
+                is_status_changed = true;
               }
-            }
-          },
-          error: function (e) {
-            sqlEditorUtils.previousStatus = -1;
-            var msg = gettext('Transaction status check failed.');
-            if (e.readyState == 0) {
-              msg = gettext('Not connected to the server or the connection to ' +
-                            'the server has been closed.');
-            } else if (e.responseJSON && e.responseJSON.errormsg) {
-              msg = e.responseJSON.errormsg;
             }
 
-            // Set bootstrap popover
+            sqlEditorUtils.previousStatus = status;
+            // Set bootstrap popover message
+            if(is_status_changed) {
+              $el.popover('hide');
+              $el.attr('data-content', msg);
+            }
+          } else {
+            // We come here means we did not receive expected response
+            // from server, we need to error out
+            sqlEditorUtils.previousStatus = -99;
+            msg = gettext('An unexpected error occurred - ' +
+                          'ensure you are logged into the application.');
             $el.attr('data-content', msg);
-            // Add error class
             if(!$status_el.hasClass('fa-query-tool-disconnected')) {
               $el.popover('hide');
               $status_el.removeClass()
                         .addClass('fa-custom fa-query-tool-disconnected');
             }
-          },
+          }
+        })
+        .fail(function (e) {
+          sqlEditorUtils.previousStatus = -1;
+          var msg = gettext('Transaction status check failed.');
+          if (e.readyState == 0) {
+            msg = gettext('Not connected to the server or the connection to ' +
+                          'the server has been closed.');
+          } else if (e.responseJSON && e.responseJSON.errormsg) {
+            msg = e.responseJSON.errormsg;
+          }
+
+          // Set bootstrap popover
+          $el.attr('data-content', msg);
+          // Add error class
+          if(!$status_el.hasClass('fa-query-tool-disconnected')) {
+            $el.popover('hide');
+            $status_el.removeClass()
+                      .addClass('fa-custom fa-query-tool-disconnected');
+          }
         });
       },
 
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index 4cdddf38..93e00bc4 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -323,24 +323,24 @@ define('pgadmin.datagrid', [
                     async: false,
                     contentType: 'application/json',
                     data: JSON.stringify(sql),
-                    success: function(res) {
-                      if (res.data.status) {
-                        // Initialize the data grid.
-                        self.create_transaction(that.baseUrl, null, 'false', parentData.server.server_type, '', grid_title, sql, false);
-                      }
-                      else {
-                        alertify.alert(
-                          gettext('Validation Error'),
-                            res.data.result
-                        );
-                      }
-                    },
-                    error: function(e) {
+                  })
+                  .done(function(res) {
+                    if (res.data.status) {
+                      // Initialize the data grid.
+                      self.create_transaction(that.baseUrl, null, 'false', parentData.server.server_type, '', grid_title, sql, false);
+                    }
+                    else {
                       alertify.alert(
                         gettext('Validation Error'),
-                        e
+                          res.data.result
                       );
-                    },
+                    }
+                  })
+                  .fail(function(e) {
+                    alertify.alert(
+                      gettext('Validation Error'),
+                      e
+                    );
                   });
                 }
               },
@@ -376,35 +376,35 @@ define('pgadmin.datagrid', [
           dataType: 'json',
           data: JSON.stringify(sql_filter),
           contentType: 'application/json',
-          success: function(res) {
-            res.data.is_query_tool = is_query_tool;
-            res.data.server_type = server_type;
-            res.data.sURL = sURL;
-            res.data.panel_title = panel_title;
-            target.trigger('pgadmin-datagrid:transaction:created', res.data);
-          },
-          error: function(xhr) {
-            if (target !== self) {
-              if(xhr.status == 503 && xhr.responseJSON.info != undefined &&
-                  xhr.responseJSON.info == 'CONNECTION_LOST') {
-                setTimeout(function() {
-                  target.handle_connection_lost(true, xhr);
-                });
-                return;
-              }
+        })
+        .done(function(res) {
+          res.data.is_query_tool = is_query_tool;
+          res.data.server_type = server_type;
+          res.data.sURL = sURL;
+          res.data.panel_title = panel_title;
+          target.trigger('pgadmin-datagrid:transaction:created', res.data);
+        })
+        .fail(function(xhr) {
+          if (target !== self) {
+            if(xhr.status == 503 && xhr.responseJSON.info != undefined &&
+                xhr.responseJSON.info == 'CONNECTION_LOST') {
+              setTimeout(function() {
+                target.handle_connection_lost(true, xhr);
+              });
+              return;
             }
+          }
 
-            try {
-              var err = JSON.parse(xhr.responseText);
-              alertify.alert(gettext('Query Tool Initialize Error'),
-                err.errormsg
-              );
-            } catch (e) {
-              alertify.alert(
-                e.statusText, gettext('Query Tool Initialize Error')
-              );
-            }
-          },
+          try {
+            var err = JSON.parse(xhr.responseText);
+            alertify.alert(gettext('Query Tool Initialize Error'),
+              err.errormsg
+            );
+          } catch (e) {
+            alertify.alert(
+              e.statusText, gettext('Query Tool Initialize Error')
+            );
+          }
         });
       },
       launch_grid: function(trans_obj) {
